using Microsoft.IdentityModel.Tokens;
using WmsMobileServe.Annotation;
using WmsMobileServe.Utils.HttpUtils;
using WmsMobileServe.Utils.HttpUtils.Entity;

namespace WmsMobileServe.ApiClient.Mes;

/// <summary>
/// 访问 Mes 的 api 客户端
/// </summary>
[Component]
public class MesApiClient : WebApiClient
{
    public MesApiClient()
    {
        SetBaseUrl("http://ip:port");
        SetResponseAction(ApiClientResponseEvent.ApiResponse);
    }


    /// <summary>
    /// 获取箱子信息
    /// </summary>
    /// <param name="boxNo"></param>
    /// <returns></returns>
    public ApiResponseInfo GetOutBoxInfo(string boxNo)
    {
        Dictionary<string, object> request = [];
        request.Add("pSN", boxNo);
        return HttpGet(request, "/Camstar/PackStock.asmx/getOutBoxInf");
    }





}
